package com.miami.romeo.main.tree;

import java.awt.*;
import java.net.*;

public class RomsInfo {
  public String nodeName;
  public URL romsURL;
  public String prefix = "file:";

  public RomsInfo(String name, String kind) {
    nodeName = name;

    try {
      romsURL = new URL(prefix + kind);
    }
    catch (java.net.MalformedURLException exc) {
      System.err.println(exc.getMessage());
      romsURL = null;
    }
  }

  public String toString() {
    return nodeName;
  }
}
